function Epsl=strs2strn(theta, phi, c11, c12, c44)

% GPa=1;
% c11=1075*GPa;
% c12=139*GPa;
% c44=567*GPa;

C=zeros(6);
C(1:3,1:3)=eye(3)*c11+(ones(3)-eye(3))*c12;
C(4:6,4:6)=eye(3)*c44;

theta=theta/180*pi;
phi=phi/180*pi;

x=sin(theta)*cos(phi);
y=sin(theta)*sin(phi);
z=cos(theta);

sigma=[x*x; y*y; z*z; y*z; z*x; x*y];  % uniaxial stress





% inv(C)
epsilon=C\sigma;

Epsl=zeros(3);
Epsl(1,2)=epsilon(6); %XY
Epsl(2,3)=epsilon(4); %YZ
Epsl(3,1)=epsilon(5); %ZX
Epsl=Epsl+Epsl';
Epsl=Epsl+diag(epsilon(1:3));

end